commit:     cac39d145cb367838351ab4cef700eb1401e5e42
Author:     Michael Everitt <m.j.everitt <AT> iee <DOT> org>
AuthorDate: Sun Jan 10 10:30:30 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Sun Jan 10 10:30:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cac39d14

net-misc/sstp-client: Fix for bug #567912.

Fixes issue with net-misc/networkmanager-sstp, where connections are
wrongly written to /var/lib/run/sstpc and networkmanager-sstp is looking
in /run/sstpc. Adding --with-runtime-dir="/run/sstpc" to configure opts
solves this issue.
Inherit autotools, direct sed statement to makefile.am over Makefile.in.
Ack to Coacher for various fixes & testing.
Gentoo-Bug: 567912.

Reported-by: Stanislav Nikitin <pztrn <AT> pztrn.name>
Acked-by: Michael Everitt <m.j.everitt <AT> iee.org>

Package-Manager: portage-2.2.26

 net-misc/sstp-client/sstp-client-1.0.9-r2.ebuild | 56 ++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/net-misc/sstp-client/sstp-client-1.0.9-r2.ebuild 
b/net-misc/sstp-client/sstp-client-1.0.9-r2.ebuild
new file mode 100644
index 0000000..533b848
--- /dev/null
+++ b/net-misc/sstp-client/sstp-client-1.0.9-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils linux-info multilib user
+
+DESCRIPTION="A client implementation of Secure Socket Tunneling Protocol 
(SSTP)"
+HOMEPAGE="http://sstp-client.sourceforge.net/";
+SRC_URI="mirror://sourceforge/sstp-client/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static"
+
+RDEPEND=">=dev-libs/libevent-2.0.10
+               dev-libs/openssl:0
+               net-dialup/ppp:="
+DEPEND="${RDEPEND}
+               virtual/pkgconfig"
+
+CONFIG_CHECK="~NETFILTER_NETLINK"
+DOCS=( AUTHORS ChangeLog DEVELOPERS INSTALL NEWS README TODO USING )
+
+pkg_setup() {
+       enewgroup sstpc
+       enewuser sstpc -1 -1 -1 sstpc
+}
+
+src_prepare() {
+       # set proper examples dir, --docdir overriding is src_configure does 
not work
+       sed -i -e "/^docdir/s:@PACKAGE@:${PF}/examples:" Makefile.am || die 
'sed on Makefile.am failed'
+
+       eautoreconf
+       epatch_user
+}
+
+src_configure() {
+       local PPPD_VER="$(best_version net-dialup/ppp)"
+       PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
+       PPPD_VER=${PPPD_VER%%[_-]*} # main version without 
beta/pre/patch/revision
+       econf \
+               --enable-ppp-plugin \
+               --enable-group=sstpc \
+               --enable-user=sstpc \
+               --with-pppd-plugin-dir="/usr/$(get_libdir)/pppd/${PPPD_VER}" \
+               --with-runtime-dir="/run/sstpc" \
+               $(use_enable static)
+}
+
+src_install() {
+       default
+       prune_libtool_files --modules
+}

Reply via email to